# Copyright 2014  Lars Wirzenius
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# =*= License: GPL-3+ =*=


import os

import cliapp

import distixlib


class GlobalSettingsPlugin(cliapp.Plugin):

    def enable(self):
        self.app.settings.string(
            ['ticket-id-from'],
            'read ticket id(s) from FILE, one per line, '
            'instead of command line, for commands that take ticket ids',
            metavar='FILE')

        self.app.settings.boolean(
            ['quiet'],
            'turn off progress reporting')
